三角形方向箭的应用.
本帖最后由 作者 于 2009-9-22 21:24:10 编辑Sub ls1()
Dim oSolid As AcadSolid
With ThisDrawing.ModelSpace
Dim xySolidArr(1)
Dim Pt1(2) As Double, Pt2(2) As Double, Pt3(2) As Double, Pt4(2) As Double
xySolidArr(0) = Array(0, 0, 0, 2.5, -0.5, 0, 2.5, 0.5, 0, 2.2, 0, 0)
xySolidArr(1) = Array(2.2, -0.1, 0, 5, -0.1, 0, 2.2, 0.1, 0, 5, 0.1, 0)
For ii = 0 To 1
For jj = 0 To 2
Pt1(jj) = xySolidArr(ii)(jj)
Pt2(jj) = xySolidArr(ii)(jj + 3)
Pt3(jj) = xySolidArr(ii)(jj + 6)
Pt4(jj) = xySolidArr(ii)(jj + 9)
Next jj
Set oSolid = .AddSolid(Pt1, Pt2, Pt3, Pt4)
With oSolid
.Layer = 0
End With
Next ii
End With
End Sub
页:
[1]